Bug 25519 - rpc.rstatd crashes on linux 2.4.0
rpc.rstatd crashes on linux 2.4.0
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rusers (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-01 16:02 EST by Urban Widmark
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-02 17:57:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Urban Widmark 2001-02-01 16:03:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-pre11 i686)


rpc.rstatd parses /proc/stat to find various system info. When doing so it
assumes that the data read will be in a certain format, and matches on
keywords.

If one keyword is missing it will segfault. Linux 2.4 reports disk
information differently from 2.2 and rusers assumes 2.2 format.

Reproducible: Always
Steps to Reproduce:
1. /etc/init.d/portmap start
2. /etc/init.d/rstatd
3. xmeter -load localhost -update 1
   (or some other tool for displaying rstatd stats)


I have a patch that modifies it to read 2.4 format too. Untested on 2.2.
Also, note that this patch has the same problem as the old code if the
format changes again.
	http://www.hojdpunkten.ac.se/054/rstatd-linux2.4.patch
This needs to be applied after the "jbj" patch in the rpm.
Comment 1 Glen Foster 2001-02-02 17:57:17 EST
We (Red Hat) should really fix this before next release
Comment 2 Nalin Dahyabhai 2001-02-06 16:15:51 EST
This will be fixed in rusers-0.17-9 (with a more minimalistic patch -- if it
changes again, I'll probably switch it to using regex as your patch does). 
Thanks!

Note You need to log in before you can comment on or make changes to this bug.